# Rise Auth Foundation

## Install
```
npm i rise-auth-foundation
```

## Usage

### createPasswordHash
```js
import { createPasswordHash } from 'rise-auth-foundation'
const hash = createPasswordHash('12341234')
```

### validatePassword
```js
import { validatePassword } from 'rise-auth-foundation'
const isValid = validatePassword('12341234', hash)
```

### makeJwt
```js
import { makeJwt } from 'rise-auth-foundation'
const myData = {
    id: 123
}

const secret = 'shhhh'
const expiresIn = '1h'
const jwt = makeJwt(myData, secret, expiresIn)
```

### decodeJwt
```js
import { decodeJwt } from 'rise-auth-foundation'
const data = decodeJwt(jwt, secret)
```

### setCookieHttpResponse
```js
import { setCookieHttpResponse } from 'rise-auth-foundation'
export const handler = async () => {
    const jwt = '123...'
    return setCookieHttpResponse(jwt)
}
```

### getJwtCookieFromtApiEvent
```js
import { getJwtCookieFromtApiEvent } from 'rise-auth-foundation'
export const handler = async (e) => {
    const jwt = getJwtCookieFromtApiEvent(e)
}
```